import {
  BoxProps,
} from '@chakra-ui/react';
import { RadioState } from '@chakra-ui/react/dist/types/radio/use-radio';

export const getPropsByState = ({ isChecked }: RadioState): BoxProps => {
  if (isChecked) {
    return {
      bgColor: 'primary.200',
      _hover: { bgColor: 'primary.100' },
      _active: { bgColor: 'primary.300' },
    };
  }

  return {
    _hover: { bgColor: 'primary.50' },
    _active: { bgColor: 'primary.100' },
  };
};